/*--------------------------- ftime.c --------------------------------- */
/*									*/
/* Author:	Eyal Lebedinsky (eyal@ise.canberra.edu.au)		*/
/* Date:	Dec 1995						*/
/* Version:	20 December 1995					*/
/*									*/
/* This program is released into the public domain.			*/
/*									*/
/*--------------------------------------------------------------------- */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/timeb.h>

typedef unsigned short	Ushort;
typedef unsigned int	Uint;
typedef unsigned long	Ulong;


static struct timeb	epoch;
static int		started = 0;

extern void FAR
set_timer (void)
{
	started = 0;
}

extern Ushort FAR
get_timer (void)
{
	struct timeb	tm;

	ftime (&tm);

	if (started)
		return ((Ushort)((tm.time - epoch.time) * 1000
					+ (tm.millitm - epoch.millitm)));
	else {
		epoch = tm;
		started = 1;
		return (0);
	}
}

extern Ulong FAR
timer_micros (Ushort old, Ushort new)
{
	return (1000L * (new - old));
}
